access
Post apiv1files accessfix
POST
/
api
/
v1
/
files
/
{fileId}
/
access
/
fix
cURL
curl --request POST \
--url https://tessera.edstratumlabs.ai/api/v1/files/{fileId}/access/fix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"issueIndex": 4503599627370495,
"fix": {
"kind": "alt-text",
"element": 4503599627370495,
"alt": "<string>",
"decorative": true
}
}
'import requests
url = "https://tessera.edstratumlabs.ai/api/v1/files/{fileId}/access/fix"
payload = {
"issueIndex": 4503599627370495,
"fix": {
"kind": "alt-text",
"element": 4503599627370495,
"alt": "<string>",
"decorative": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
issueIndex: 4503599627370495,
fix: {kind: 'alt-text', element: 4503599627370495, alt: '<string>', decorative: true}
})
};
fetch('https://tessera.edstratumlabs.ai/api/v1/files/{fileId}/access/fix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"score": 50,
"grade": "Perfect",
"issueCount": 1,
"bySeverity": {
"critical": 1,
"serious": 1,
"moderate": 1,
"minor": 1
},
"scannedAt": "<string>",
"target": {
"kind": "lesson",
"lessonId": "<string>"
},
"issues": [
{
"code": "<string>",
"severity": "critical",
"wcag": {
"sc": "<string>",
"level": "A",
"title": "<string>"
},
"title": "<string>",
"description": "<string>",
"fixHint": "<string>",
"location": {
"blockId": "<string>",
"page": 1,
"element": 1,
"label": "<string>"
},
"count": 1,
"fix": "alt-text"
}
],
"document": {
"pages": 1,
"hasText": true,
"images": 1,
"tagged": true
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
Scoped tsk_… API token or Access JWT
Path Parameters
Minimum string length:
1Body
application/json
Response
Success
Required range:
0 <= x <= 100Available options:
Perfect, Good, Moderate, Low, Very low Required range:
x >= 0Show child attributes
Show child attributes
Minimum string length:
1- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
cURL
